Bug 694687 - libcgroup still creates /cgroup on F15
Summary: libcgroup still creates /cgroup on F15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcgroup
Version: 15
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Dhaval Giani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-08 02:37 UTC by Lennart Poettering
Modified: 2011-05-19 04:47 UTC (History)
6 users (show)

Fixed In Version: libcgroup-0.37.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:47:27 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-04-08 02:37:18 UTC
The kernel mandated place to mount cgroup file systems nowadays is /sys/fs/cgroup. The libcgroup package still includes /cgroup as a directory for that. Would be cool to drop that directory from the pkg. In order to ensure that possible existing setups aren't broken it might make sense to simply %ghost the dir instead of removing it entirelyh. That way it still will be part of the package but not created by RPM at installation.

Comment 1 Lennart Poettering 2011-04-08 02:38:06 UTC
$ rpm -qf /cgroup/
libcgroup-0.37.1-1.fc15.x86_64

Comment 2 Fedora Update System 2011-04-08 08:41:40 UTC
libcgroup-0.37.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libcgroup-0.37.1-2.fc15

Comment 3 Fedora Update System 2011-04-09 05:28:34 UTC
Package libcgroup-0.37.1-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcgroup-0.37.1-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libcgroup-0.37.1-2.fc15
then log in and leave karma (feedback).

Comment 4 Michal Schmidt 2011-05-01 17:12:29 UTC
robatino,

since you're still seeing the directory being created after the installation of the package, would you please try to find out which process creates it?:

yum remove libcgroup
rm -rf /cgroup
auditctl -w /cgroup -p rwa -k cgroup
yum install libcgroup
ausearch -k cgroup

Comment 5 Fedora Update System 2011-05-19 04:47:21 UTC
libcgroup-0.37.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.